<div class="mx-auto mt-10 block max-w-[1170px] px-4 lg:mt-16">
  <h1 class="mb-3 font-heading text-2xl font-bold lg:text-3xl">
    Документы для отправителей<br class="hidden md:block" />
    и получателей Приморского края
  </h1>
  <p class="mb-10 text-sm">
    В данном разделе вы сможете найти все необходимые документы<br />
    для работы с компанией Баскурьер и скачать их.
  </p>
  <div
    class="justify-content-start grid grid-cols-1 gap-5 sm:grid-cols-[auto_1fr] lg:grid-cols-3 lg:gap-7.5"
  >
    <!--       start media-->
    <div
      *ngFor="let document of documents"
      class="flex min-h-[130px] max-w-[370px] items-center rounded-sm pt-6 pr-9 pb-8 pl-7 shadow-xl"
    >
      <tui-svg
        src="icons::pdf"
        class="mr-5 !h-[42px] !w-[42px] self-start"
      ></tui-svg>
      <div>
        <p class="mb-2.5 text-sm">{{ document.label }}</p>
        <button
          *ngIf="document.open; else link"
          type="button"
          class="relative leading-6 text-blue before:absolute before:left-0 before:bottom-0 before:w-full before:border-b before:border-dashed before:border-blue hover:cursor-pointer hover:opacity-80 hover:before:hidden"
          (click)="showPdf(document, actions)"
        >
          <span><b class="font-medium">Открыть файл</b></span>
        </button>
        <ng-template #link>
          <a
            [href]="document.link"
            class="relative leading-6 text-blue before:absolute before:left-0 before:bottom-0 before:w-full before:border-b before:border-dashed before:border-blue hover:cursor-pointer hover:opacity-80 hover:before:hidden"
          >
            <span><b class="font-medium">Скачать файл</b></span>
          </a>
        </ng-template>
      </div>
    </div>
  </div>
</div>

<!--        end media-->
<ng-template #actions let-content="content">
  <a tuiButton size="s" download [href]="content">Загрузить</a>
</ng-template>
